Subject: [PATCH] Input: Make ADS7846 independent on regulator

From: [email-masked] (Marek Vasut)
Date: Sat, 31 Jul 2010 09:03:52 +0200

Dne So 31. ?ervence 2010 08:33:29 Dmitry Torokhov napsal(a):
> Hi Marek,
> 
> On Sat, Jul 31, 2010 at 07:45:08AM +0200, Marek Vasut wrote:
> > In case regulator was not found, ADS7846 failed to probe.
> > 
> > This fixes a problem on some Sharp Zaurus devices, where there is no
> > regulator present and yet the touchscreen is used.
> 
> Too many ifdefs to my taste... Can we have ads7846_regulator_enable()
> and friends stubbed out in case !CONFIG_REGULATOR?

Hi,

I believe you should ask the regulator guys about these. We can certainly just 
remove the ifdefs (I was thinking about it, because it poluted the code quality 
quite a bit). Just removing the ifdefs shouldn't cause any harm.

Cheers